# std::out_of_range Class Reference

Inheritance diagram for std::out_of_range:

[legend]
Collaboration diagram for std::out_of_range:

[legend]
List of all members.

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

This represents an argument whose value is not within the expected range (e.g., boundary checks in basic_string).

Definition at line 97 of file stdexcept.

## Member Function Documentation

const char * std::logic_error::what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor). Reimplemented from std::exception. Definition at line 45 of file stdexcept.cc.

The documentation for this class was generated from the following files:

- stdexcept
- stdexcept.cc